body {
  font-family: Arial, sans-serif;
}

.font-prompt {
  font-family: 'Poppins', sans-serif;
}

.bg-quiz-100 {
  background-color: #12131e;
}

.bg-quiz-200 {
  background-color: #1b1d31;
}

.bg-quiz-300 {
  background-color: #373b62;
}

.border-color-100 {
  border-color: #373b62;
}

.bg-progress-step-1 {
  background: linear-gradient(
      270deg,
      rgba(255, 255, 255, 0) 74.64%,
      #ffffff 87.86%
    ),
    rgba(255, 255, 255, 0.2);
}

.bg-progress-step-2 {
  background: linear-gradient(
      270.05deg,
      rgba(126, 85, 179, 0) 73.26%,
      #a769c4 85%,
      #a769c4 99.71%
    ),
    rgba(255, 255, 255, 0.2);
}

.bg-progress-step-3 {
  background: linear-gradient(
      270.05deg,
      rgba(126, 85, 179, 0) 73.26%,
      #a769c4 85%,
      #a769c4 99.71%
    ),
    linear-gradient(270deg, rgba(255, 255, 255, 0) 48.96%, #ffffff 75.09%),
    rgba(255, 255, 255, 0.2);
}

.bg-progress-step-4 {
  background: linear-gradient(
      270.05deg,
      rgba(126, 85, 179, 0) 50.48%,
      #a769c4 64.09%,
      #a769c4 99.44%
    ),
    rgba(255, 255, 255, 0.2);
}

.bg-progress-step-5 {
  background: linear-gradient(
      270.05deg,
      rgba(126, 85, 179, 0) 30.48%,
      #a769c4 54.09%,
      #a769c4 99.44%
    ),
    linear-gradient(270deg, rgba(255, 255, 255, 0) 8.96%, #ffffff 35.09%),
    rgba(255, 255, 255, 0.2);
}

.bg-progress-step-6 {
  background: linear-gradient(
      270.05deg,
      rgba(126, 85, 179, 0) 10.48%,
      #a769c4 34.09%,
      #a769c4 29.44%
    ),
    rgba(255, 255, 255, 0.2);
}

.bg-progress-step-7 {
  background: linear-gradient(
      270.05deg,
      rgba(126, 85, 179, 0) 4.32%,
      #a769c4 18.98%,
      #a769c4 99.11%
    ),
    #ffffff;
}

.bg-progress-step-8 {
  background: #a769c4;
}

.bg-wrong {
  background: #853838;
  border-color: #b55a5a;
  .border-color-100 {
    border-color: #b55a5a;
  }
  .text-quiz-100 {
    opacity: 1;
  }
}

.bg-correct {
  background: #3e6441;
  border-color: #619a65;
  .border-color-100 {
    border-color: #619a65;
  }
  .text-quiz-100 {
    opacity: 1;
  }
}

.progress-bar > li:nth-child(even) {
  display: none;
}

.text-quiz-100 {
  color: #ffffff;
  fill: #ffffff;
  opacity: 0.7;
}

.text-progress-1,
.text-progress-2.text-progress-step-5,
.text-progress-2.text-progress-step-6,
.text-progress-2.text-progress-step-7,
.text-progress-2.text-progress-step-8,
.text-progress-3.text-progress-step-7,
.text-progress-3.text-progress-step-8 {
  color: #dca1f8;
  fill: #dca1f8;
  opacity: 1;
}

.text-progress-1.text-progress-step-1,
.text-progress-1.text-progress-step-2,
.text-progress-2.text-progress-step-3,
.text-progress-2.text-progress-step-4,
.text-progress-3.text-progress-step-5,
.text-progress-3.text-progress-step-6,
.text-progress-4.text-progress-step-7,
.text-progress-4.text-progress-step-8 {
  color: #ffffff;
  fill: #ffffff;
  opacity: 1;
}

.blob--red,
.blob--yellow,
.blob--blue {
  width: 300px;
  height: 300px;
  opacity: 0.5;
  filter: blur(15px);
}

.blob--red {
  left: -20%;
  top: -10%;
  background: radial-gradient(
    32.48% 31.5% at 50% 50%,
    #f54b4b 0%,
    rgba(255, 69, 69, 0) 100%
  );
}

.blob--yellow {
  left: 50%;
  top: 20%;
  background: radial-gradient(
    32.48% 31.5% at 50% 50%,
    #f2f54b 0%,
    rgba(255, 236, 69, 0) 100%
  );
}

.blob--blue {
  left: 5%;
  top: 60%;
  background: radial-gradient(
    32.48% 31.5% at 50% 50%,
    #4baef5 0%,
    rgba(69, 166, 255, 0) 100%
  );
}

.animate-blob {
  animation: blob 7s infinite;
}

.animation-delay-2000 {
  animation-delay: 2s;
}

.animation-delay-4000 {
  animation-delay: 4s;
}

@keyframes blob {
  0% {
    transform: translate(0) scale(1);
  }
  33% {
    transform: translate(30px, -50px) scale(1.1);
  }
  66% {
    transform: translate(-20px, 20px) scale(0.9);
  }
  to {
    transform: translate(0px, 0px) scale(1);
  }
}

@media only screen and (min-width: 640px) {
  .blob--red,
  .blob--yellow,
  .blob--blue {
    width: 600px;
    height: 600px;
    filter: blur(35px);
  }

  .progress-bar > li:nth-child(even) {
    display: list-item;
  }

  .progress-bar > li:last-child {
    display: none;
  }
}

@media only screen and (min-width: 1024px) {
  .blob--red,
  .blob--yellow,
  .blob--blue {
    width: 900px;
    height: 900px;
    filter: blur(50px);
  }

  .blob--red {
    left: -20%;
    top: -20%;
  }

  .blob--yellow {
    left: 55%;
    top: 20%;
  }

  .blob--blue {
    left: 10%;
    top: 60%;
  }
}

@media only screen and (min-width: 1536px) {
  .blob--red,
  .blob--yellow,
  .blob--blue {
    width: 900px;
    height: 900px;
    filter: blur(50px);
  }

  .blob--red {
    left: -20%;
    top: -20%;
  }

  .blob--yellow {
    left: 70%;
    top: 10%;
  }

  .blob--blue {
    left: 25%;
    top: 60%;
  }
}
